package com.writeoff.module.expert.dto;

import javax.validation.constraints.NotBlank;

public class AddBankCardRequest {
    @NotBlank(message = "开户行不能为空")
    private String bankName;
    private String bankProvince;
    private String bankCity;
    private String bankBranchName;
    @NotBlank(message = "银行卡号不能为空")
    private String bankCardNo;
    private String bankCardFrontOssKey;
    private String bankCardBackOssKey;
    @NotBlank(message = "账户名不能为空")
    private String accountName;
    private Boolean isDefault;
    private String cardStatus;
    private Boolean inconsistentNameApproved;
    private String changeReason;

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getBankCardNo() {
        return bankCardNo;
    }

    public void setBankCardNo(String bankCardNo) {
        this.bankCardNo = bankCardNo;
    }

    public String getBankCardFrontOssKey() {
        return bankCardFrontOssKey;
    }

    public void setBankCardFrontOssKey(String bankCardFrontOssKey) {
        this.bankCardFrontOssKey = bankCardFrontOssKey;
    }

    public String getBankCardBackOssKey() {
        return bankCardBackOssKey;
    }

    public void setBankCardBackOssKey(String bankCardBackOssKey) {
        this.bankCardBackOssKey = bankCardBackOssKey;
    }

    public String getBankProvince() {
        return bankProvince;
    }

    public void setBankProvince(String bankProvince) {
        this.bankProvince = bankProvince;
    }

    public String getBankCity() {
        return bankCity;
    }

    public void setBankCity(String bankCity) {
        this.bankCity = bankCity;
    }

    public String getBankBranchName() {
        return bankBranchName;
    }

    public void setBankBranchName(String bankBranchName) {
        this.bankBranchName = bankBranchName;
    }

    public String getAccountName() {
        return accountName;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    public Boolean getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(Boolean isDefault) {
        this.isDefault = isDefault;
    }

    public String getCardStatus() {
        return cardStatus;
    }

    public void setCardStatus(String cardStatus) {
        this.cardStatus = cardStatus;
    }

    public Boolean getInconsistentNameApproved() {
        return inconsistentNameApproved;
    }

    public void setInconsistentNameApproved(Boolean inconsistentNameApproved) {
        this.inconsistentNameApproved = inconsistentNameApproved;
    }

    public String getChangeReason() {
        return changeReason;
    }

    public void setChangeReason(String changeReason) {
        this.changeReason = changeReason;
    }
}
